Bug 239859 - deskutils/{g}xneur: update to 0.20
Summary: deskutils/{g}xneur: update to 0.20
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-14 16:33 UTC by Michael Zhilin
Modified: 2019-10-12 04:31 UTC (History)
1 user (show)

See Also:
linimon: maintainer-feedback+


Attachments
SVN patch for gxneur (12.76 KB, patch)
2019-08-14 16:33 UTC, Michael Zhilin
no flags Details | Diff
SVN patch for xneur (7.92 KB, patch)
2019-08-14 16:33 UTC, Michael Zhilin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2019-08-14 16:33:21 UTC
Created attachment 206545 [details]
SVN patch for gxneur

Hi,

Here is patch for XNeur ports (deskutils/xneur and deskutils/gxneur).
Mostly it's just version bump with minor build changes. 

It works for me, portlint looks me, but poudriere tests are required. 

Thank you for your effort!
Comment 1 Michael Zhilin 2019-08-14 16:33:50 UTC
Created attachment 206546 [details]
SVN patch for xneur
Comment 2 Koichiro Iwao freebsd_committer 2019-10-12 04:06:54 UTC
It doesn't build.

checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc9 accepts -g... yes
checking for gcc9 option to accept ISO C89... none needed
checking whether gcc9 understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc9... gcc3
checking how to run the C preprocessor... cpp9
checking for X... disabled
checking whether NLS is requested... yes
./configure: intltool-update: not found
checking for intltool >= 0.35.0...  found
configure: error: Your intltool is too old.  You need intltool 0.35.0 or later.
===>  Script "configure" failed unexpectedly.
Please report the problem to mizhka@gmail.com [maintainer] and attach the
"/wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/deskutils/xneur
build of deskutils/xneur | xneur-0.20.0 ended at Fri Oct 11 18:29:21 JST 2019
build time: 00:00:39
!!! build failure encountered !!!
[03:21:20] Error: Build failed in phase: configure
[03:21:20] Cleaning up
[03:21:20] Unmounting file systems
Comment 3 Koichiro Iwao freebsd_committer 2019-10-12 04:30:15 UTC
After adding missing dependencies, I still get this.

ocal/lib/xneur -Wl,-rpath -Wl,/usr/local/lib                                                                            /usr/local/bin/ld: ../lib/lib/.libs/libxneur.so: undefined reference to `loKg_message'
collect2: error: ld returned 1 exit status
*** [xneur] Error code 1

make[3]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0/src
1 error

make[3]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0/src
*** [all-recursive] Error code 1

make[2]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0
1 error

make[2]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0
*** [all] Error code 2

make[1]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0
1 error

make[1]: stopped in /wrkdirs/usr/ports/deskutils/xneur/work/xneur-0.20.0
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Comment 4 Koichiro Iwao freebsd_committer 2019-10-12 04:31:20 UTC
Give up until the submitter fixes this. Please finish poudriere test before submitting.